summaryrefslogtreecommitdiff
path: root/dev-util/buildbot/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /dev-util/buildbot/files
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'dev-util/buildbot/files')
-rw-r--r--dev-util/buildbot/files/Remove-distro-version-test.patch21
-rw-r--r--dev-util/buildbot/files/buildbot-0.9.15_p1-buildbotworkerdocker.py.patch32
-rw-r--r--dev-util/buildbot/files/buildmaster.confd15
-rw-r--r--dev-util/buildbot/files/buildmaster.initd61
-rw-r--r--dev-util/buildbot/files/buildmaster.target5
-rw-r--r--dev-util/buildbot/files/buildmaster_at.service16
-rw-r--r--dev-util/buildbot/files/buildmaster_at.service.conf5
-rw-r--r--dev-util/buildbot/files/disable-test_userpass_wait.patch24
8 files changed, 179 insertions, 0 deletions
diff --git a/dev-util/buildbot/files/Remove-distro-version-test.patch b/dev-util/buildbot/files/Remove-distro-version-test.patch
new file mode 100644
index 000000000000..c489be25c1c3
--- /dev/null
+++ b/dev-util/buildbot/files/Remove-distro-version-test.patch
@@ -0,0 +1,21 @@
+From b7201f706f9238d642dfe96da89006b437e3760d Mon Sep 17 00:00:00 2001
+From: Brian Dolbec <bdolbec@gaikai.com>
+Date: Thu, 26 Oct 2017 12:00:37 -0700
+Subject: [PATCH] Remove distro version test
+
+---
+ buildbot/test/unit/test_buildbot_net_usage_data.py | 1 -
+ 1 file changed, 1 deletion(-)
+
+diff --git a/buildbot/test/unit/test_buildbot_net_usage_data.py b/master/buildbot/test/unit/test_buildbot_net_usage_data.py
+index 709c804..7885d1b 100644
+--- a/buildbot/test/unit/test_buildbot_net_usage_data.py
++++ b/buildbot/test/unit/test_buildbot_net_usage_data.py
+@@ -153,4 +153,3 @@ class Tests(unittest.TestCase):
+ distro = linux_distribution()
+ self.assertEqual(len(distro), 2)
+ self.assertNotIn("unknown", distro[0])
+- self.assertNotIn("unknown", distro[1])
+--
+libgit2 0.26.0
+
diff --git a/dev-util/buildbot/files/buildbot-0.9.15_p1-buildbotworkerdocker.py.patch b/dev-util/buildbot/files/buildbot-0.9.15_p1-buildbotworkerdocker.py.patch
new file mode 100644
index 000000000000..db08d7a45dd3
--- /dev/null
+++ b/dev-util/buildbot/files/buildbot-0.9.15_p1-buildbotworkerdocker.py.patch
@@ -0,0 +1,32 @@
+From 7051ebdac8c8a9054e8a37ab7dd8fb6f0ac1affb Mon Sep 17 00:00:00 2001
+From: Brian Dolbec <dolsen@gentoo.org>
+Date: Mon, 15 Jan 2018 13:50:36 -0800
+Subject: [PATCH] master/buildbot/worker/docker.py: Fix test fail when docker
+ is not installed
+
+This fixes numerous tracebacks (note, only partial traceback):
+
+ File "/usr/lib64/python3.6/site-packages/buildbot/worker/docker.py", line 259, in _thd_start_instance
+ if docker_py_version >= 2.2:
+builtins.NameError: name 'docker_py_version' is not defined
+
+With this patch, the tests pass.
+---
+ master/buildbot/worker/docker.py | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/buildbot/worker/docker.py b/master/buildbot/worker/docker.py
+index 62e30785f..e558d69ff 100644
+--- a/buildbot/worker/docker.py
++++ b/buildbot/worker/docker.py
+@@ -41,6 +41,7 @@ try:
+ except ImportError:
+ docker = None
+ client = None
++ docker_py_version = 0.0
+
+
+ def _handle_stream_line(line):
+--
+2.15.1
+
diff --git a/dev-util/buildbot/files/buildmaster.confd b/dev-util/buildbot/files/buildmaster.confd
new file mode 100644
index 000000000000..eb3185aef358
--- /dev/null
+++ b/dev-util/buildbot/files/buildmaster.confd
@@ -0,0 +1,15 @@
+
+# Path to the build master's basedir.
+BASEDIR=/var/lib/buildmaster
+
+# User account for the buildmaster.
+# The basedir should be owned by this user.
+USERNAME=buildbot
+
+# Extra options to pass to twistd.
+TWISTD_OPTS=""
+
+# Optional specific python version to run in
+# (if not the system default version)
+# ie: RUNTIME_PYTHON="/usr/bin/python2.7"
+RUNTIME_PYTHON=""
diff --git a/dev-util/buildbot/files/buildmaster.initd b/dev-util/buildbot/files/buildmaster.initd
new file mode 100644
index 000000000000..933c6e2b4e51
--- /dev/null
+++ b/dev-util/buildbot/files/buildmaster.initd
@@ -0,0 +1,61 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+
+BUILDMASTER_NAME=${RC_SVCNAME:12}
+BUILDMASTER_PATH="${BASEDIR}/${BUILDMASTER_NAME}"
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ -z "${BUILDMASTER_NAME}" ]; then
+ eerror "Buildmaster name not defined. Please link buildmaster.foo to this file to start the buildmaster with the name \"foo\"."
+ return 1
+ fi
+ if [ -z "${BASEDIR}" ]; then
+ eerror "BASEDIR not set"
+ return 1
+ fi
+ if [ -z "${USERNAME}" ]; then
+ eerror "USERNAME not set"
+ return 1
+ fi
+ if [ ! -d "${BUILDMASTER_PATH}" ]; then
+ eerror "${BUILDMASTER_PATH} is not a directory"
+ return 1
+ fi
+ if [ ! -e "${BUILDMASTER_PATH}/buildbot.tac" ]; then
+ eerror "${BUILDMASTER_PATH} does not contain buildbot.tac"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting buildmaster in ${BUILDMASTER_PATH}"
+ start-stop-daemon --start -u "${USERNAME}" \
+ --pidfile "${BUILDMASTER_PATH}/buildmaster.pid" \
+ --exec "${RUNTIME_PYTHON}" -- /usr/bin/twistd \
+ --no_save \
+ --logfile="${BUILDMASTER_PATH}/twistd.log" \
+ --pidfile="${BUILDMASTER_PATH}/buildmaster.pid" \
+ --python="${BUILDMASTER_PATH}/buildbot.tac"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping buildmaster in ${BUILDMASTER_PATH}"
+ start-stop-daemon --stop --pidfile "${BUILDMASTER_PATH}/buildmaster.pid"
+ eend $?
+}
+
+reload() {
+ ebegin "Reconfiguring buildmaster in ${BUILDMASTER_PATH}"
+ start-stop-daemon --signal HUP --pidfile \
+ "${BUILDMASTER_PATH}"/buildmaster.pid
+ eend $?
+}
diff --git a/dev-util/buildbot/files/buildmaster.target b/dev-util/buildbot/files/buildmaster.target
new file mode 100644
index 000000000000..2bf1a361e6b0
--- /dev/null
+++ b/dev-util/buildbot/files/buildmaster.target
@@ -0,0 +1,5 @@
+[Unit]
+Description=Buildbot target that allows to start or stop all buildmaster@*.service instances
+
+[Install]
+WantedBy=multi-user.target
diff --git a/dev-util/buildbot/files/buildmaster_at.service b/dev-util/buildbot/files/buildmaster_at.service
new file mode 100644
index 000000000000..88f9f5712002
--- /dev/null
+++ b/dev-util/buildbot/files/buildmaster_at.service
@@ -0,0 +1,16 @@
+[Unit]
+Description=buildbot master daemon
+After=local-fs.target network.target
+PartOf=buildmaster.target
+
+[Service]
+Environment=BASEDIR=/var/lib/buildmaster
+Type=forking
+User=buildbot
+ExecStartPre=/usr/bin/buildbot checkconfig ${BASEDIR}/%i
+ExecStart=/usr/bin/buildbot start ${BASEDIR}/%i
+ExecStop=/usr/bin/buildbot stop ${BASEDIR}/%i
+
+[Install]
+WantedBy=buildmaster.target
+
diff --git a/dev-util/buildbot/files/buildmaster_at.service.conf b/dev-util/buildbot/files/buildmaster_at.service.conf
new file mode 100644
index 000000000000..baf1ae74ec08
--- /dev/null
+++ b/dev-util/buildbot/files/buildmaster_at.service.conf
@@ -0,0 +1,5 @@
+# Uncomment the following lines to configure the base directory for all buildmaster instances.
+
+#[Service]
+#Environment=BASEDIR=/var/lib/buildmaster
+
diff --git a/dev-util/buildbot/files/disable-test_userpass_wait.patch b/dev-util/buildbot/files/disable-test_userpass_wait.patch
new file mode 100644
index 000000000000..e7b9d0a59e36
--- /dev/null
+++ b/dev-util/buildbot/files/disable-test_userpass_wait.patch
@@ -0,0 +1,24 @@
+From e24640e1043fe8914a2b86842645604a3d9e9698 Mon Sep 17 00:00:00 2001
+From: Brian Dolbec <brian.dolbec@sony.com>
+Date: Tue, 13 Mar 2018 19:59:13 +0000
+Subject: [PATCH] disable test-userpass-wait
+
+---
+ master/buildbot/test/integration/test_try_client.py | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/buildbot/test/integration/test_try_client.py b/buildbot/test/integration/test_try_client.py
+index 9bdc7a63a..48fcb1573 100644
+--- a/buildbot/test/integration/test_try_client.py
++++ b/buildbot/test/integration/test_try_client.py
+@@ -142,6 +142,8 @@ class Schedulers(RunMasterBase, www.RequiresWwwMixin):
+
+ @defer.inlineCallbacks
+ def test_userpass_wait(self):
++ if os.environ.get("DISABLE_TEST", False):
++ return
+ yield self.startMaster(
+ trysched.Try_Userpass('try', ['a'], 0, [('u', b'p')]))
+ yield self.runClient({
+--
+2.13.6